orte/mca/gpr/replica/gpr_replica_class_instances.h File Reference.TH "orte/mca/gpr/replica/gpr_replica_class_instances.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/replica/gpr_replica_class_instances.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'class/orte_bitmap.h'\fP
.br
\fC#include 'opal/class/opal_object.h'\fP
.br
\fC#include 'gpr_replica.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "static void \fBorte_gpr_replica_local_subscriber_constructor\fP (orte_gpr_replica_local_subscriber_t *ptr)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_local_subscriber_destructor\fP (orte_gpr_replica_local_subscriber_t *ptr)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_gpr_replica_local_subscriber_t, \fBopal_object_t\fP, orte_gpr_replica_local_subscriber_constructor, orte_gpr_replica_local_subscriber_destructor)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_local_trigger_constructor\fP (orte_gpr_replica_local_trigger_t *ptr)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_local_trigger_destructor\fP (orte_gpr_replica_local_trigger_t *ptr)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_gpr_replica_local_trigger_t, \fBopal_object_t\fP, orte_gpr_replica_local_trigger_constructor, orte_gpr_replica_local_trigger_destructor)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_segment_construct\fP (\fBorte_gpr_replica_segment_t\fP *seg)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_segment_destructor\fP (\fBorte_gpr_replica_segment_t\fP *seg)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (\fBorte_gpr_replica_segment_t\fP, \fBopal_object_t\fP, orte_gpr_replica_segment_construct, orte_gpr_replica_segment_destructor)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_container_construct\fP (\fBorte_gpr_replica_container_t\fP *reg)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_container_destructor\fP (\fBorte_gpr_replica_container_t\fP *reg)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (\fBorte_gpr_replica_container_t\fP, \fBopal_object_t\fP, orte_gpr_replica_container_construct, orte_gpr_replica_container_destructor)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_itagval_construct\fP (orte_gpr_replica_itagval_t *ptr)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_itagval_destructor\fP (orte_gpr_replica_itagval_t *ptr)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_gpr_replica_itagval_t, \fBopal_object_t\fP, orte_gpr_replica_itagval_construct, orte_gpr_replica_itagval_destructor)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_ivalue_construct\fP (orte_gpr_replica_ivalue_t *ptr)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_ivalue_destructor\fP (orte_gpr_replica_ivalue_t *ptr)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_gpr_replica_ivalue_t, \fBopal_object_t\fP, orte_gpr_replica_ivalue_construct, orte_gpr_replica_ivalue_destructor)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_counter_construct\fP (orte_gpr_replica_counter_t *cntr)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_counter_destructor\fP (orte_gpr_replica_counter_t *cntr)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_gpr_replica_counter_t, \fBopal_object_t\fP, orte_gpr_replica_counter_construct, orte_gpr_replica_counter_destructor)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_requestor_construct\fP (orte_gpr_replica_requestor_t *ptr)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_requestor_destructor\fP (orte_gpr_replica_requestor_t *ptr)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_gpr_replica_requestor_t, \fBopal_object_t\fP, orte_gpr_replica_requestor_construct, orte_gpr_replica_requestor_destructor)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_subscription_construct\fP (orte_gpr_replica_subscription_t *sub)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_subscription_destructor\fP (orte_gpr_replica_subscription_t *sub)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_gpr_replica_subscription_t, \fBopal_object_t\fP, orte_gpr_replica_subscription_construct, orte_gpr_replica_subscription_destructor)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_trigger_requestor_construct\fP (orte_gpr_replica_trigger_requestor_t *ptr)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_trigger_requestor_destructor\fP (orte_gpr_replica_trigger_requestor_t *ptr)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_gpr_replica_trigger_requestor_t, \fBopal_object_t\fP, orte_gpr_replica_trigger_requestor_construct, orte_gpr_replica_trigger_requestor_destructor)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_trigger_construct\fP (orte_gpr_replica_trigger_t *trig)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_trigger_destructor\fP (orte_gpr_replica_trigger_t *trig)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_gpr_replica_trigger_t, \fBopal_object_t\fP, orte_gpr_replica_trigger_construct, orte_gpr_replica_trigger_destructor)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_action_taken_construct\fP (orte_gpr_replica_action_taken_t *ptr)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_action_taken_destructor\fP (orte_gpr_replica_action_taken_t *ptr)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_gpr_replica_action_taken_t, \fBopal_object_t\fP, orte_gpr_replica_action_taken_construct, orte_gpr_replica_action_taken_destructor)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_callbacks_construct\fP (orte_gpr_replica_callbacks_t *cb)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_callbacks_destructor\fP (orte_gpr_replica_callbacks_t *cb)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_gpr_replica_callbacks_t, \fBopal_list_item_t\fP, orte_gpr_replica_callbacks_construct, orte_gpr_replica_callbacks_destructor)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_list_construct\fP (\fBorte_gpr_replica_list_t\fP *replica)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_list_destructor\fP (\fBorte_gpr_replica_list_t\fP *replica)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (\fBorte_gpr_replica_list_t\fP, \fBopal_list_item_t\fP, orte_gpr_replica_list_construct, orte_gpr_replica_list_destructor)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (\fBorte_gpr_replica_write_invalidate_t\fP, \fBopal_list_item_t\fP, NULL, NULL)"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
